## zowe › profiles › create › zosmf-profile

z/OSMF Profile

Warning: This command has been deprecated.
Recommended replacement: The 'config init' command

#### Usage

zowe profiles create zosmf-profile <profileName> [options]

#### Positional Arguments

- `profileName` (string)

  - Specifies the name of the new zosmf profile. You can load this profile by using the name on commands that support the "--zosmf-profile" option.

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

#### Options

- `--encoding` | `--ec` (string)

  - The encoding for download and upload of z/OS data set and USS files. The default encoding if not specified is IBM-1047.

- `--response-timeout` | `--rto` (number)

  - The maximum amount of time in seconds the z/OSMF Files TSO servlet should run before returning a response. Any request exceeding this amount of time will be terminated and return an error. Allowed values: 5 - 600

- `--overwrite` | `--ow` (boolean)

  - Overwrite the zosmf profile when a profile of the same name exists.

- `--disable-defaults` | `--dd` (boolean)

  - Disable populating profile values of undefined properties with default values.

#### Examples

- Create a zosmf profile called 'zos123' to connect to z/OSMF at host zos123 and port 1443:

  - `zowe profiles create zosmf-profile zos123 --host zos123 --port 1443 --user ibmuser --password myp4ss`

- Create a zosmf profile called 'zos124' to connect to z/OSMF at the host zos124 (default port - 443) and allow self-signed certificates:

  - `zowe profiles create zosmf-profile zos124 --host zos124 --user ibmuser --password myp4ss --reject-unauthorized false`

- Create a zosmf profile called 'zos125' to connect to z/OSMF at the host zos125 and port 1443, not specifying a username or password so they are not stored on disk; these will need to be specified on every command:

  - `zowe profiles create zosmf-profile zos125 --host zos125 --port 1443`

- Create a zosmf profile called 'zos126' to connect to z/OSMF on the default port 443 and allow self-signed certificates, not specifying a username, password, or host so they are not stored on disk; these will need to be specified on every command:

  - `zowe profiles create zosmf-profile zos126 --reject-unauthorized false`

- Create a zosmf profile called 'zosAPIML' to connect to z/OSMF via the Zowe API Mediation Layer running at host 'zosAPIML', port '7554', and allow for self-signed certificates. To reduce duplication, you could elect to store the 'host', 'port', 'reject-unauthorized', 'user', and 'password' values for the API Mediation Layer in a base profile and only store the 'base-path' of the service in the zosmf profile:

  - `zowe profiles create zosmf-profile zosAPIML --host zosAPIML --port 7554 --user ibmuser --password myp4ss --reject-unauthorized false --base-path ibmzosmf/api/v1`